=== modified file 'client/linebuffer.cc'
--- client/linebuffer.cc	2010-11-08 21:28:24 +0000
+++ client/linebuffer.cc	2010-11-08 22:33:34 +0000
@@ -30,7 +30,7 @@
     max_size(my_max_size)
 {
   if (my_file)
-    file_stream = new boost::iostreams::stream<boost::iostreams::file_descriptor>(fileno(my_file), boost::iostreams::never_close_handle);
+    file_stream = new boost::iostreams::stream<boost::iostreams::file_descriptor>(fileno(my_file), true);
   else
     file_stream = new std::stringstream;
   line.reserve(max_size);

=== modified file 'm4/pandora_have_libboost_iostreams.m4'
--- m4/pandora_have_libboost_iostreams.m4	2010-11-07 23:30:43 +0000
+++ m4/pandora_have_libboost_iostreams.m4	2010-11-08 22:33:34 +0000
@@ -33,6 +33,7 @@
     [test "x${ac_cv_libboost_iostreams}" = "xyes" -o "x${ac_cv_libboost_iostreams_mt}" = "xyes"])
   BOOST_LIBS="${BOOST_LIBS} ${LTLIBBOOST_IOSTREAMS_MT} ${LTLIBBOOST_IOSTREAMS}"
   AC_SUBST(BOOST_LIBS) 
+  AC_DEFINE(BOOST_IOSTREAMS_USE_DEPRECATED, [], [Used for client/linebuffer.cc, remove this and fix file when we require a newer boost])
 ])
 
 AC_DEFUN([PANDORA_HAVE_BOOST_IOSTREAMS],[

